/** #### PRIMARY COLORS #### **/
/** #### BUTTONS #### **/
/**  ##### HTML, BODY, MAIN ##### **/
body {
  overflow-x: hidden;
  font-family: Roboto; }
  body.lock {
    overflow: hidden; }

main {
  padding: 60px 0; }

::-webkit-scrollbar {
  width: 0; }

::selection {
  background: #D32943; }

.hidden {
  display: none !important; }

.no-padding {
  padding-left: 0 !important;
  padding-right: 0 !important; }

span.error {
  display: block;
  margin-top: 5px;
  padding: 5px;
  border: 1px solid #EEEEEE;
  border-radius: 2px;
  text-align: center;
  background: #F2DEDE;
  font-size: 13px;
  color: #D32943; }

span.success {
  display: block;
  margin-top: 5px;
  padding: 5px;
  border: 1px solid #EEEEEE;
  border-radius: 2px;
  text-align: center;
  background: #DFF0D8;
  font-size: 13px;
  color: #7DB640; }

span.error.error-main,
span.success.success-main {
  font-size: 14px;
  margin: 20px 0; }

.ribbon {
  height: 30px;
  padding-left: 30px;
  padding-right: 20px;
  padding-top: 1px;
  background-color: white;
  font-size: 16px;
  color: #23313A;
  text-align: right;
  transition: all 200ms; }
  .ribbon:before {
    content: "";
    display: block;
    position: absolute;
    left: -7px;
    border-style: solid;
    border-width: 15px 0 15px 7px;
    border-color: white transparent;
    margin-top: -1px; }
  .ribbon span {
    vertical-align: middle;
    margin-right: 5px; }
  .ribbon img {
    height: 25px; }

.info-icon {
  height: 14px;
  width: 14px;
  display: inline-block;
  margin: 0 0 -2px 2px;
  background-image: url("/toybox/resources/images/icons/icon_info.svg");
  cursor: pointer;
  transition: all 200ms; }
  .info-icon:hover {
    transform: scale(0.9);
    transition: all 200ms; }

/**  ##### BUTTONS, LINKS ##### **/
a {
  color: #9F9F9F; }
  a:visited, a:active {
    color: #9F9F9F; }

a.btn,
button.btn {
  padding: 9px 35px;
  min-width: 130px;
  height: 40px;
  background-color: #23313A;
  transition: background-color 200ms;
  box-shadow: 1px 1px 0 0 black;
  border-radius: 1px;
  font-size: 18px;
  color: white;
  text-decoration: none; }
  a.btn:focus,
  button.btn:focus {
    box-shadow: 1px 1px 0 0 #7e1828; }
  a.btn.active,
  button.btn.active {
    background-color: #D32943;
    transition: background-color 200ms;
    box-shadow: 1px 1px 0 0 #7e1828; }
  a.btn:hover,
  button.btn:hover {
    background-color: #D32943;
    transition: background-color 200ms;
    box-shadow: 1px 1px 0 0 #7e1828;
    color: white;
    cursor: pointer; }
    a.btn:hover.active,
    button.btn:hover.active {
      background-color: #c2263e; }

/**  ##### HEADER ##### **/
header {
  height: 350px;
  background-color: #FFCC01; }
  header #logo {
    margin: 75px auto 0; }
    header #logo img {
      height: 150px; }
  header nav {
    margin: 70px auto 0; }
    header nav .btn {
      margin: 0 10px; }

@keyframes menu-item-in {
  0% {
    transform: translateX(165px);
    opacity: 0; }
  100% {
    transform: translateX(5px);
    opacity: 1; } }

@keyframes menu-item-out {
  0% {
    transform: translateX(5px);
    opacity: 1; }
  100% {
    transform: translateX(165px);
    opacity: 0; } }

#user-menu {
  position: absolute;
  top: 20px;
  right: 0;
  opacity: 0;
  transform: translateX(160px);
  transition: all 1000ms; }
  #user-menu #menu .ribbon,
  #user-menu #login .ribbon {
    padding-right: 40px;
    transform: translateX(20px);
    background-color: #23313A;
    color: white; }
    #user-menu #menu .ribbon:before,
    #user-menu #login .ribbon:before {
      border-color: #23313A transparent; }
  #user-menu #menu:hover .ribbon,
  #user-menu #login:hover .ribbon {
    transform: translateX(0);
    transition: all 200ms ease-out; }
  #user-menu a {
    display: block; }
    #user-menu a:hover {
      text-decoration: none; }
  #user-menu ul {
    list-style-type: none;
    margin: 0;
    transition: all 300ms; }
    #user-menu ul li {
      padding: 5px 0 5px 5px;
      opacity: 0;
      background-color: white;
      transition: opacity 300ms; }
      #user-menu ul li a {
        color: #23313A; }
      #user-menu ul li span {
        padding: 0 10px; }
      #user-menu ul li svg {
        height: 20px;
        width: 20px;
        float: right;
        margin-top: 2px;
        margin-right: 27px;
        fill: #23313A; }
      #user-menu ul li:hover, #user-menu ul li.active {
        margin-left: -5px;
        padding-left: 10px;
        background-color: #23313A;
        transition: background-color 300ms;
        cursor: pointer; }
        #user-menu ul li:hover a, #user-menu ul li.active a {
          color: white; }
        #user-menu ul li:hover svg, #user-menu ul li.active svg {
          fill: white; }
      #user-menu ul li.show:nth-of-type(1) {
        animation: menu-item-in 300ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.show:nth-of-type(2) {
        animation: menu-item-in 350ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.show:nth-of-type(3) {
        animation: menu-item-in 400ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.show:nth-of-type(4) {
        animation: menu-item-in 450ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.hide:nth-of-type(4) {
        animation: menu-item-out 300ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.hide:nth-of-type(3) {
        animation: menu-item-out 350ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.hide:nth-of-type(2) {
        animation: menu-item-out 400ms ease-in-out 0ms 1 forwards; }
      #user-menu ul li.hide:nth-of-type(1) {
        animation: menu-item-out 450ms ease-in-out 0ms 1 forwards; }
  #user-menu.show {
    opacity: 1;
    transform: translateX(0);
    transition: opacity 300ms, all 1000ms; }

#user-sidemenu {
  border-right: 1px solid #EEEEEE; }
  #user-sidemenu a {
    width: 100%;
    display: block;
    color: #23313A;
    margin: 2px 0;
    padding: 3px 0;
    padding-left: 15px; }
    #user-sidemenu a.active {
      background: #EEEEEE; }
    #user-sidemenu a:hover {
      text-decoration: none;
      background-color: #EEEEEE;
      transition: background-color 200ms ease-out; }
    #user-sidemenu a.heading {
      font-size: 20px;
      margin-top: 10px;
      padding-left: 5px; }
      #user-sidemenu a.heading:hover {
        background-color: transparent; }

/**  ##### FOOTER ##### **/
footer {
  height: 150px;
  border-top: 1px solid #EEEEEE; }
  footer p {
    margin: 40px auto 0 auto;
    padding: 20px;
    color: #9F9F9F;
    font-weight: 200; }

/**  ##### MODALS ##### **/
.modal-content {
  border-radius: 2px; }
  .modal-content .close:hover {
    cursor: pointer; }

/**  ##### ERROR PAGES ##### **/
#error-404 {
  position: absolute;
  top: 0;
  left: 0;
  width: 100vw;
  height: 100vh;
  background: #FFCC01; }
  #error-404 > div {
    position: relative;
    top: 40%;
    transform: translateY(-40%); }
  #error-404 h1 {
    font-family: Roboto;
    font-size: 280px;
    font-weight: 900;
    color: #D32943;
    text-align: center; }
  #error-404 p {
    float: right;
    font-size: 20px;
    line-height: 1.3;
    color: white; }
    #error-404 p span {
      /** adds line break **/
      display: block; }
  #error-404 .buttons {
    padding-top: 8px; }
    #error-404 .buttons .btn:first-of-type {
      margin-right: 20px; }
  @media (max-width: 992px) {
    #error-404 .details > div {
      display: flex;
      justify-content: center; } }
  @media (max-width: 576px) {
    #error-404 h1 {
      font-size: 160px; }
    #error-404 p {
      font-size: 16px; } }
  @media (max-width: 390px) {
    #error-404 p {
      text-align: center; }
      #error-404 p span {
        /** removes line break **/
        display: inline-block; } }

/**  ##### FORM ELEMENTS ##### **/
.form-control {
  width: 100%;
  border: 1px solid #EEEEEE;
  border-radius: 1px;
  font-size: 14px;
  color: #9F9F9F; }
  .form-control:active, .form-control:focus {
    color: #575757;
    border-color: #FFCC01; }

input {
  height: 40px; }

textarea {
  height: 100px; }

.btn {
  border-radius: 2px; }

.btn-secondary {
  height: 40px;
  padding: 8px 24px;
  background-color: white;
  border: 1px solid #EEEEEE;
  color: #575757; }
  .btn-secondary.active, .btn-secondary:focus {
    box-shadow: none; }
  .btn-secondary:hover {
    background-color: white;
    border: 1px solid #EEEEEE;
    color: #575757;
    cursor: pointer; }
  .btn-secondary.active, .btn-secondary:active, .btn-secondary.active:hover, .btn-secondary:active:hover {
    background-color: #FFCC01;
    border: 1px solid #EEEEEE;
    color: white; }

.switch {
  position: relative;
  display: inline-block;
  width: 40px;
  height: 20px; }
  .switch input {
    display: none; }
    .switch input:checked + .slider {
      background-color: #7DB640; }
      .switch input:checked + .slider:before {
        -webkit-transform: translateX(19px);
        -ms-transform: translateX(19px);
        transform: translateX(19px); }
    .switch input:focus + .slider {
      box-shadow: 0 0 1px #7DB640; }
  .switch .slider {
    position: absolute;
    cursor: pointer;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 1px;
    background-color: #9F9F9F;
    -webkit-transition: 400ms;
    transition: 400ms; }
    .switch .slider:before {
      position: absolute;
      content: "";
      height: 17px;
      width: 17px;
      left: 2px;
      bottom: 2px;
      border-radius: 1px;
      background-color: white;
      -webkit-transition: 400ms;
      transition: 400ms; }
